GET/Drives/{driveId}/files/{fileId}
Returns a file's details, versions and associations. Needs read, edit or admin access to the file's
location. The file id comes from Drives_Get.
Path Parameters
| Field | Type | Required | Description |
|---|
| driveId | uuid | Required | |
| fileId | uuid | Required | |
Response
| Field | Type | Description |
|---|
| id | uuid | |
| partitionKey | uuid | |
| type | string| null | |
| name | string| null | |
| description | string| null | |
| path | string| null | |
| fullPath | string| null | |
| status | string| null | |
| url | string| null | |
| dueDate | date-time | |
| assignedTo | GetFileResponseAssignedDept | |
| permissions | string[]| null | |
| associatedCrewMembers | GetFileResponseAssociatedEntity[]| null | |
| associatedDepartments | GetFileResponseAssociatedEntity[]| null | |
| associatedLocations | GetFileResponseAssociatedEntity[]| null | |
| links | GetFileResponseFileLink[]| null | |
| versions | GetFileResponseVersionSummary[]| null | |
GetFileResponseAssignedDept
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
GetFileResponseAssociatedEntity
| Field | Type | Description |
|---|
| id | uuid | |
| entityId | uuid | |
| name | string| null | |
| isReviewer | boolean | |
| permissions | string[]| null | |
GetFileResponseFileLink
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| permissions | string[]| null | |
GetFileResponseVersionSummary
| Field | Type | Description |
|---|
| id | uuid | |
| tag | string| null | |
| status | string| null | |
| comments | integer | |
| formats | string[]| null | |